<template>
  <div>
    <div :class="{ 'red-text': tender.validityPeriod < 3600 }">
      <div class="small-title">До конца подачи</div>
      <div class="caption">
        <i
          v-if="tender.validityPeriod"
          class="icon clock"
        />

        <ObCountdown :duration="tender.validityPeriod" />
      </div>
    </div>

    <div class="small-title">Сбор предложений закончится</div>
    <div class="caption without-margin">
      в {{ parseDate(tender.targetFinishDt, 'LT') }}
      {{ parseDate(tender.targetFinishDt) }}
    </div>
    <div
      class="caption-timezone"
      title="Часовой пояс: Москва"
    >
      UTC+3
    </div>

    <div class="small-title">Итоги будут подведены</div>
    <div class="caption without-margin">
      до {{ parseDate(tender.summarizingDt, 'LT') }}
      {{ parseDate(tender.summarizingDt) }}
    </div>
    <div
      class="caption-timezone"
      title="Часовой пояс: Москва"
    >
      UTC+3
    </div>
  </div>
</template>

<script>
  import ObCountdown from 'common-components/src/obComponents/obCountdown'
  import moment from 'moment'

  export default {
    name: 'TenderInfo',
    components: {
      ObCountdown
    },
    props: {
      tender: {
        type: Object,
        required: true
      }
    },
    methods: {
      parseDate (date, format = 'L') {
        return moment(date).locale('RU').format(format);
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "~common-components/src/static/css/mixins";

  .small-title {
    @include font-mixin(16px, 20px, 700, inherit, 0.4px);

    margin-bottom: 10px;
  }

  .caption {
    @include font-mixin(16px, 20px, 400);

    display: flex;
    align-items: center;
    white-space: pre-line;
    word-break: break-word; // Break too long words

    &:not(.without-margin) {
      margin-bottom: 30px;
    }

    .icon.clock {
      margin-right: 5px;
      color: $color-blue-navy-blue;
    }
  }

  .caption-timezone {
    @include font-mixin(16px, 20px, 400, $color-grey-span);

    margin-bottom: 30px;
    text-transform: uppercase;
  }

  .red-text {
    color: $color-error;
  }
</style>